import { FC } from 'react';
import type { Theme, OptionsType, ActionMeta } from './types';
interface ColumnSelectProps {
    /**
     * The array of available select options.
     */
    options: OptionsType;
    /**
     * The function called on change.
     */
    onChange: (values: OptionsType, actionMeta: ActionMeta) => void;
    /**
     * Set the initial selected values.
     */
    defaultValue?: OptionsType;
    /**
     * The header text of the left column.
     * @default 'Options'
     */
    leftHeader?: string;
    /**
     * The header text of the right column.
     * @default 'Selected'
     */
    rightHeader?: string;
    /**
     * Disable double clicking to add/remove a list option.
     * @default false
     */
    disableDoubleClick?: boolean;
    /**
     * Disable keyboard navigation on the list of options.
     * @default false
     */
    disableKeyboard?: boolean;
    /**
     * The react-column-select theme object.
     */
    theme?: Theme;
}
declare const ColumnSelect: FC<ColumnSelectProps>;
export default ColumnSelect;
